OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
CopyFromVecOp< TreeValueType, VIndexTreeType, VectorValueType > Struct Template Reference

Functor for use with LeafManager::foreach() to populate a tree with values from a vector. More...

`#include <PoissonSolver.h>`

## Public Types
using | OutTreeT = typename VIndexTreeType::template ValueConverter< TreeValueType >::Type
using | OutLeafT = typename OutTreeT::LeafNodeType
using | VIdxLeafT = typename VIndexTreeType::LeafNodeType
using | VectorT = typename math::pcg::Vector< VectorValueType >

## Public Member Functions
| CopyFromVecOp (const VectorT &v, OutTreeT &t)
void | operator() (const VIdxLeafT &idxLeaf, size_t) const

## Public Attributes
const VectorT * | vector
OutTreeT * | tree

## Detailed Description

### template<typename TreeValueType, typename VIndexTreeType, typename VectorValueType>
struct openvdb::v7_0::tools::poisson::internal::CopyFromVecOp< TreeValueType, VIndexTreeType, VectorValueType >

Functor for use with LeafManager::foreach() to populate a tree with values from a vector.

## Member Typedef Documentation

## ◆ OutLeafT

using OutLeafT = typename OutTreeT::LeafNodeType

## ◆ OutTreeT

using OutTreeT = typename VIndexTreeType::template ValueConverter<TreeValueType>::Type

## ◆ VectorT

using VectorT = typename math::pcg::Vector<VectorValueType>

## ◆ VIdxLeafT

using VIdxLeafT = typename VIndexTreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ CopyFromVecOp()

CopyFromVecOp | ( | const VectorT & | v,
|  | OutTreeT & | t
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const VIdxLeafT & | idxLeaf,
|  | size_t |
| ) |  | const
| inline

## Member Data Documentation

## ◆ tree

OutTreeT* tree

## ◆ vector

const VectorT* vector

The documentation for this struct was generated from the following file:

- PoissonSolver.h